<form name="editForm" role="form" novalidate (ngSubmit)="save()" #editForm="ngForm">
    <div class="modal-header">
        <h6 class="modal-title" id="myReceiptLabel" jhiTranslate="mpmApp.receipt.home.createOrEditLabel">Create or edit a Receipt</h6>
        <button type="button" class="close" data-dismiss="modal" aria-hidden="true" (click)="clear()">&times;</button>
    </div>

    <div style="padding:10px;" [hidden]="!stepOne">
        <font style="font-size:18px;font-weight:600;">Pembayaran via: </font>
        <div class="ui-g" style="margin-top:10px;">
            <div class="ui-g-12">
                <p-radioButton name="pembayaran_via" value="kasir" label="Kasir" [(ngModel)]="selectedViaPayment"></p-radioButton>
            </div>
            <div class="ui-g-12">
                <p-radioButton name="pembayaran_via" value="sales" label="Sales" [(ngModel)]="selectedViaPayment"></p-radioButton>
            </div>
            <div class="ui-g-12">
                <div class="form-group">
                    <label class="form-control-label" jhiTranslate="mpmApp.receipt.refferenceNumber" for="field_refferenceNumber">Refference Number</label>
                    <input type="text" class="form-control" name="refferenceNumber" id="field_refferenceNumber" [disabled]="selectedViaPayment === 'kasir'" [(ngModel)]="receipt.refferenceNumber" />
                </div>
            </div>
            <div class="ui-g-12" style="text-align:center;">
                <button pButton type="button" (click)="goToStep(2);" label="Submit" [disabled]="selectedViaPayment === 'sales' && (receipt.refferenceNumber === '' || receipt.refferenceNumber === undefined || receipt.refferenceNumber === null)"></button>
            </div>
        </div>
    </div>

    <div class="card-deck" style="margin: 10px;" [hidden]="!stepTwo">
        <div class="card">
            <div class="card-body">
                <div class="form-group" [hidden]="!receipt.idPayment">
                    <label for="id" jhiTranslate="global.field.id">ID</label>
                    <input type="text" class="form-control" id="id" name="id" [(ngModel)]="receipt.idPayment" readonly />
                </div>
                <div class="form-group">
                    <label class="form-control-label" jhiTranslate="mpmApp.receipt.paymentNumber" for="field_paymentNumber">Payment Number</label>
                    <input type="text" class="form-control" name="paymentNumber" id="field_paymentNumber" [(ngModel)]="receipt.paymentNumber" />
                </div>
                <!-- <div class="form-group">
                    <label class="form-control-label" jhiTranslate="mpmApp.receipt.dateCreate" for="field_dateCreate">Date Create</label>
                    <div class="input-group">
                        <p-calendar inputId="field_dateCreate" name="input_dateCreate" [(ngModel)]="receipt.dateCreate" dateFormat="dd-mm-yy" [showTime]="true" hourFormat="24" [showSeconds]="true" [showIcon]="true"></p-calendar>
                    </div>
                </div> -->
                <div class="form-group">
                    <label class="form-control-label" jhiTranslate="mpmApp.receipt.amount" for="field_amount">Amount</label>
                    <input currencyMask class="form-control" name="amount" id="field_amount" [(ngModel)]="receipt.amount" [options]="{ prefix: '', thousands: '.', decimal: ',', precision: '0' }" />
                </div>

                <div class="form-group" *ngIf="idPaymentType === undefined">
                    <label class="form-control-label" jhiTranslate="mpmApp.receipt.paymentType" for="field_paymentType">Payment Type</label>
                    <select class="form-control" id="field_paymentType" name="paymentType" field="paymentType" [(ngModel)]="receipt.paymentTypeId">
                        <!-- <option [ngValue]="null">Payment Type</option> -->
                        <!-- <option [ngValue]="paymentTypeOption.idPaymentType" *ngFor="let paymentTypeOption of paymenttypes; trackBy: trackPaymentTypeById" [selected]="paymentTypeOption.idPaymentType == '50'">{{paymentTypeOption.description}} </option> -->
                        <option [ngValue]="50" *ngFor="let paymentTypeOption of paymenttypes; trackBy: trackPaymentTypeById" [selected]="paymentTypeOption.idPaymentType == '50'">Titipan </option>
                    </select>
                </div>        
                <div class="form-group">
                    <label class="form-control-label" jhiTranslate="mpmApp.receipt.method" for="field_method">Method</label>
                    <select class="form-control" id="field_method" name="method" [(ngModel)]="receipt.methodId">
                        <!-- <option [ngValue]="null">Payment Method</option> -->
                        <option [ngValue]="paymentMethodOption.idPaymentMethod" *ngFor="let paymentMethodOption of paymentmethods; trackBy: trackPaymentMethodById" [selected]="paymentmethods.idPaymentMethod == '10'">{{paymentMethodOption.description}}</option>
                    </select>
                </div>
                <div *ngIf="!idRequirement">
                    <!-- <div class="form-group" *ngIf="idInternal === undefined">
                    <label class="form-control-label" jhiTranslate="mpmApp.receipt.internal" for="field_internal">Internal</label>
                    <select class="form-control" id="field_internal" name="internal" [(ngModel)]="receipt.internalId">
                        <option [ngValue]="null"></option>
                        <option [ngValue]="internalOption.idInternal" *ngFor="let internalOption of internals; trackBy: trackInternalById">{{internalOption.id}}</option>
                    </select>
                    </div> -->
                    <div class="form-group" *ngIf="idPaidTo === undefined">
                        <label class="form-control-label" jhiTranslate="mpmApp.receipt.paidTo" for="field_paidTo">Paid To</label>
                        <select class="form-control" id="field_paidTo" name="paidTo" [(ngModel)]="receipt.paidToId">
                            <option [ngValue]="null"></option>
                            <option [ngValue]="internalOption.idInternal" *ngFor="let internalOption of internals; trackBy: trackInternalById">{{internalOption.organization.name}}</option>
                        </select>
                    </div>
                    <div class="form-group" *ngIf="billtos !== null">
                        <label jhiTranslate="mpmApp.receipt.paidFrom" for="field_paidFrom">Paid From</label>
                        <select class="form-control" name="paidFrom" [(ngModel)]="receipt.paidFromId">
                            <option [ngValue]="null"></option>
                            <option [ngValue]="billToOption.idBillTo" *ngFor="let billToOption of billtos; trackBy: trackBillToById">{{billToOption.partyName}}</option>
                        </select>
                    </div>
                </div>
            </div>
        </div>
    </div>
    <div class="modal-footer">
        <button pButton type="button" data-dismiss="modal" (click)="clear()" label="{{'entity.action.cancel' | translate}}" icon="fa-ban" class="ui-button-danger flat-label-button">
        </button>
        <button pButton type="submit" [disabled]="editForm.form.invalid || isSaving" label="{{'entity.action.save' | translate}}" icon="fa-save" class="ui-button-primary flat-label-button">
        </button>
    </div>
</form>